// To parse this JSON data, do
//
//     final cardTokenResponse = cardTokenResponseFromJson(jsonString);

import 'dart:convert';

CardTokenResponse cardTokenResponseFromJson(String str) => CardTokenResponse.fromJson(json.decode(str));

String cardTokenResponseToJson(CardTokenResponse data) => json.encode(data.toJson());

class CardTokenResponse {
  int? status;
  String? message;
  String? statusdescription;
  List<Result>? result;

  CardTokenResponse({
    this.status,
    this.message,
    this.statusdescription,
    this.result,
  });

  factory CardTokenResponse.fromJson(Map<String, dynamic> json) => CardTokenResponse(
    status: json["status"],
    message: json["message"],
    statusdescription: json["statusdescription"],
    result: json["result"] == null ? [] : List<Result>.from(json["result"]!.map((x) => Result.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "status": status,
    "message": message,
    "statusdescription": statusdescription,
    "result": result == null ? [] : List<dynamic>.from(result!.map((x) => x.toJson())),
  };
}

class Result {
  String? token;

  Result({
    this.token,
  });

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    token: json["TOKEN"],
  );

  Map<String, dynamic> toJson() => {
    "TOKEN": token,
  };
}
