// To parse this JSON data, do
//
//     final transactionResponse = transactionResponseFromJson(jsonString);

import 'dart:convert';

TransactionResponse transactionResponseFromJson(String str) => TransactionResponse.fromJson(json.decode(str));

String transactionResponseToJson(TransactionResponse data) => json.encode(data.toJson());

class TransactionResponse {
  int? status;
  String? message;
  Data? data;

  TransactionResponse({
    this.status,
    this.message,
    this.data,
  });

  factory TransactionResponse.fromJson(Map<String, dynamic> json) => TransactionResponse(
    status: json["status"],
    message: json["message"],
    data: json["data"] == null ? null : Data.fromJson(json["data"]),
  );

  Map<String, dynamic> toJson() => {
    "status": status,
    "message": message,
    "data": data?.toJson(),
  };
}

class Data {
  String? transactionSessionId;

  Data({
    this.transactionSessionId,
  });

  factory Data.fromJson(Map<String, dynamic> json) => Data(
    transactionSessionId: json["transaction_session_id"],
  );

  Map<String, dynamic> toJson() => {
    "transaction_session_id": transactionSessionId,
  };
}
